openapi: 3.0.3
info:
  title: 'SokyRecargas API'
  description: 'SokyRecargas API'
  version: 1.0.0
servers:
  -
    url: 'https://api.sokyrecargas.com'
paths:
  /api/v1/recharges/offers:
    get:
      summary: 'Filtrar Ofertas'
      operationId: filtrarOfertas
      description: 'Obtener las ofertas disponibles paginadas'
      parameters:
        -
          in: query
          name: search
          description: 'Búsqueda genérica'
          example: '51457852'
          required: false
          schema:
            type: string
            description: 'Búsqueda genérica'
            example: '51457852'
            nullable: false
        -
          in: query
          name: types
          description: 'Tipos de Oferta (sim, recharge, nauta)'
          example:
            - sim
            - recharge
            - nauta
          required: false
          schema:
            type: array
            description: 'Tipos de Oferta (sim, recharge, nauta)'
            example:
              - sim
              - recharge
              - nauta
            items:
              type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 2516
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/0033dd?text=eaque'
                      image_promo: 'https://via.placeholder.com/640x480.png/005555?text=sed'
                      name: 'Ms. Aglae Hamill V'
                      description: 'Ad officiis laborum distinctio provident. Numquam corrupti eius sunt nesciunt assumenda. Necessitatibus in et aliquam.'
                      prices:
                        -
                          id: acec828d-fc8d-4c22-bc59-7130dacf9c03
                          label: 'Recarga 278'
                          public: 15
                          subscription_interval: 'm:1'
                          value: 15
                        -
                          id: 8593cd1f-64c1-453d-90d7-634115b3ac00
                          label: 'Recarga 555'
                          public: 10
                          subscription_interval: 'd:15'
                          value: 10
                      category:
                        id: 2466
                        name: SIM
                      start_date: '2025-08-30'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: sim
                      currency:
                        id: 2746
                        name: JPY
                        code: ANG
                      metadata: null
                    -
                      id: 2517
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/003300?text=at'
                      image_promo: 'https://via.placeholder.com/640x480.png/005577?text=facilis'
                      name: 'Gladyce Renner'
                      description: 'Dolor odio eos ut porro velit. Dolores illum earum in est ex ad. Sequi magnam ut omnis voluptatum magni minus. Accusamus laborum aut ut illum reprehenderit earum.'
                      prices:
                        -
                          id: a8fc0c84-f21f-4eeb-b143-5beab60b2240
                          label: 'Recarga 476'
                          public: 23
                          subscription_interval: 'd:15'
                          value: 23
                        -
                          id: 257e08ad-7431-4db8-b4f5-14c6ecbfe153
                          label: 'Recarga 056'
                          public: 34
                          subscription_interval: null
                          value: 34
                      category:
                        id: 2467
                        name: SIM
                      start_date: '2025-12-06'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: recharge
                      currency:
                        id: 2747
                        name: ANG
                        code: CZK
                      metadata: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 2516
                        available: true
                        image: 'https://via.placeholder.com/640x480.png/0033dd?text=eaque'
                        image_promo: 'https://via.placeholder.com/640x480.png/005555?text=sed'
                        name: 'Ms. Aglae Hamill V'
                        description: 'Ad officiis laborum distinctio provident. Numquam corrupti eius sunt nesciunt assumenda. Necessitatibus in et aliquam.'
                        prices:
                          -
                            id: acec828d-fc8d-4c22-bc59-7130dacf9c03
                            label: 'Recarga 278'
                            public: 15
                            subscription_interval: 'm:1'
                            value: 15
                          -
                            id: 8593cd1f-64c1-453d-90d7-634115b3ac00
                            label: 'Recarga 555'
                            public: 10
                            subscription_interval: 'd:15'
                            value: 10
                        category:
                          id: 2466
                          name: SIM
                        start_date: '2025-08-30'
                        end_date: '2026-02-21'
                        is_stackable: false
                        is_preorder: false
                        type: sim
                        currency:
                          id: 2746
                          name: JPY
                          code: ANG
                        metadata: null
                      -
                        id: 2517
                        available: false
                        image: 'https://via.placeholder.com/640x480.png/003300?text=at'
                        image_promo: 'https://via.placeholder.com/640x480.png/005577?text=facilis'
                        name: 'Gladyce Renner'
                        description: 'Dolor odio eos ut porro velit. Dolores illum earum in est ex ad. Sequi magnam ut omnis voluptatum magni minus. Accusamus laborum aut ut illum reprehenderit earum.'
                        prices:
                          -
                            id: a8fc0c84-f21f-4eeb-b143-5beab60b2240
                            label: 'Recarga 476'
                            public: 23
                            subscription_interval: 'd:15'
                            value: 23
                          -
                            id: 257e08ad-7431-4db8-b4f5-14c6ecbfe153
                            label: 'Recarga 056'
                            public: 34
                            subscription_interval: null
                            value: 34
                        category:
                          id: 2467
                          name: SIM
                        start_date: '2025-12-06'
                        end_date: '2026-02-21'
                        is_stackable: false
                        is_preorder: false
                        type: recharge
                        currency:
                          id: 2747
                          name: ANG
                          code: CZK
                        metadata: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 2516
                        available:
                          type: boolean
                          example: true
                        image:
                          type: string
                          example: 'https://via.placeholder.com/640x480.png/0033dd?text=eaque'
                        image_promo:
                          type: string
                          example: 'https://via.placeholder.com/640x480.png/005555?text=sed'
                        name:
                          type: string
                          example: 'Ms. Aglae Hamill V'
                        description:
                          type: string
                          example: 'Ad officiis laborum distinctio provident. Numquam corrupti eius sunt nesciunt assumenda. Necessitatibus in et aliquam.'
                        prices:
                          type: array
                          example:
                            -
                              id: acec828d-fc8d-4c22-bc59-7130dacf9c03
                              label: 'Recarga 278'
                              public: 15
                              subscription_interval: 'm:1'
                              value: 15
                            -
                              id: 8593cd1f-64c1-453d-90d7-634115b3ac00
                              label: 'Recarga 555'
                              public: 10
                              subscription_interval: 'd:15'
                              value: 10
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                example: acec828d-fc8d-4c22-bc59-7130dacf9c03
                              label:
                                type: string
                                example: 'Recarga 278'
                              public:
                                type: integer
                                example: 15
                              subscription_interval:
                                type: string
                                example: 'm:1'
                              value:
                                type: integer
                                example: 15
                        category:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 2466
                            name:
                              type: string
                              example: SIM
                        start_date:
                          type: string
                          example: '2025-08-30'
                        end_date:
                          type: string
                          example: '2026-02-21'
                        is_stackable:
                          type: boolean
                          example: false
                        is_preorder:
                          type: boolean
                          example: false
                        type:
                          type: string
                          example: sim
                        currency:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 2746
                            name:
                              type: string
                              example: JPY
                            code:
                              type: string
                              example: ANG
                        metadata:
                          type: string
                          example: null
      tags:
        - Recargas
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                operator_code:
                  type: string
                  description: 'The <code>code</code> of an existing record in the App\Models\Recharge\Operator table.'
                  example: qui
                  nullable: false
                search:
                  type: string
                  description: ''
                  example: voluptatibus
                  nullable: true
                available:
                  type: boolean
                  description: ''
                  example: true
                  nullable: false
                category:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the App\Models\Recharge\Category table.'
                  example: 11
                  nullable: false
                category_id:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the App\Models\Recharge\Category table.'
                  example: 1
                  nullable: false
                start_date:
                  type: string
                  description: 'El campo value debe ser una fecha válida.'
                  example: '2025-11-21T09:44:06'
                  nullable: true
                end_date:
                  type: string
                  description: 'El campo value debe ser una fecha válida.'
                  example: '2025-11-21T09:44:06'
                  nullable: true
                is_stackable:
                  type: boolean
                  description: ''
                  example: true
                  nullable: false
                types:
                  type: array
                  description: ''
                  example:
                    - sim
                  items:
                    type: string
                    enum:
                      - recharge
                      - nauta
                      - sim
      security: []
  '/api/v1/recharges/offers/{offer_id}/recharge':
    post:
      summary: 'Recargar una Oferta'
      operationId: recargarUnaOferta
      description: 'Hace una recarga asociada a una oferta y tomando el ID del precio que se desea recargar'
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 13998
                    recipient_name: 'Dr. Gus Walsh'
                    recipient: +1-334-550-5549
                    email: null
                    amount: '30.72'
                    is_paid: false
                    status: canceled
                    price_label: 'Dorothea Koelpin'
                    operator:
                      id: 5181
                      code: '6478'
                      name: 'Dorothea Koelpin'
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/001122?text=molestiae'
                    offer:
                      id: 2518
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/0066aa?text=tenetur'
                      image_promo: 'https://via.placeholder.com/640x480.png/007711?text=cumque'
                      name: 'Dr. Brook Wolff PhD'
                      description: 'Ipsa dolores ducimus autem. Modi illo veritatis ipsum alias quam. Est ipsum aliquam amet voluptatum aspernatur et sint. Tenetur provident qui temporibus quaerat.'
                      prices:
                        -
                          id: beef9d7b-50cb-4025-85ce-e27ea235c0a5
                          label: 'Recarga 103'
                          public: 33
                          subscription_interval: 'd:15'
                          value: 33
                        -
                          id: 2a59173f-cef6-4911-9b9c-2fac3ff1bfa4
                          label: 'Recarga 567'
                          public: 24
                          subscription_interval: null
                          value: 24
                      category:
                        id: 2468
                        name: Recargas
                      start_date: '2025-11-17'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: nauta
                      currency:
                        id: 2748
                        name: LYD
                        code: KRW
                      metadata: null
                    user:
                      id: 7868
                      name: 'Dr. Trudie Corwin PhD'
                      email: heidenreich.anabel@example.com
                      email_verified_at: '2025-11-21T14:44:06.000000Z'
                      phone: 408-427-0992
                      phone_verified_at: '2025-11-21T14:44:06.000000Z'
                      role: user
                      coins: '449.00'
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                    is_stacked: false
                    stacked_at: '2025-11-21T14:44:06.000000Z'
                    retries: 1
                    completed_at: '2025-11-21T14:44:06.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 13998
                      recipient_name:
                        type: string
                        example: 'Dr. Gus Walsh'
                      recipient:
                        type: string
                        example: +1-334-550-5549
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '30.72'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: canceled
                      price_label:
                        type: string
                        example: 'Dorothea Koelpin'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5181
                          code:
                            type: string
                            example: '6478'
                          name:
                            type: string
                            example: 'Dorothea Koelpin'
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/001122?text=molestiae'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2518
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0066aa?text=tenetur'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/007711?text=cumque'
                          name:
                            type: string
                            example: 'Dr. Brook Wolff PhD'
                          description:
                            type: string
                            example: 'Ipsa dolores ducimus autem. Modi illo veritatis ipsum alias quam. Est ipsum aliquam amet voluptatum aspernatur et sint. Tenetur provident qui temporibus quaerat.'
                          prices:
                            type: array
                            example:
                              -
                                id: beef9d7b-50cb-4025-85ce-e27ea235c0a5
                                label: 'Recarga 103'
                                public: 33
                                subscription_interval: 'd:15'
                                value: 33
                              -
                                id: 2a59173f-cef6-4911-9b9c-2fac3ff1bfa4
                                label: 'Recarga 567'
                                public: 24
                                subscription_interval: null
                                value: 24
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: beef9d7b-50cb-4025-85ce-e27ea235c0a5
                                label:
                                  type: string
                                  example: 'Recarga 103'
                                public:
                                  type: integer
                                  example: 33
                                subscription_interval:
                                  type: string
                                  example: 'd:15'
                                value:
                                  type: integer
                                  example: 33
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2468
                              name:
                                type: string
                                example: Recargas
                          start_date:
                            type: string
                            example: '2025-11-17'
                          end_date:
                            type: string
                            example: '2026-02-21'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: nauta
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2748
                              name:
                                type: string
                                example: LYD
                              code:
                                type: string
                                example: KRW
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7868
                          name:
                            type: string
                            example: 'Dr. Trudie Corwin PhD'
                          email:
                            type: string
                            example: heidenreich.anabel@example.com
                          email_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          phone:
                            type: string
                            example: 408-427-0992
                          phone_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '449.00'
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      is_stacked:
                        type: boolean
                        example: false
                      stacked_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      retries:
                        type: integer
                        example: 1
                      completed_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  description: 'Id del Precio a recargas'
                  example: dfcceeda-82d1-4ede-ac36-689f2c97badf
                  nullable: false
                recipient_name:
                  type: string
                  description: 'Nombre del Destinatario'
                  example: 'John Doe'
                  nullable: false
                recipient:
                  type: string
                  description: 'Celular del Destinatario'
                  example: '5515151'
                  nullable: false
                email:
                  type: string
                  description: 'Email nauta (Solo para ofertas de nauta)'
                  example: myemail@nauta.cu
                  nullable: false
                comments:
                  type: string
                  description: ''
                  example: cumque
                  nullable: true
                subscribe:
                  type: boolean
                  description: 'Habilitar subscripcion'
                  example: true
                  nullable: false
              required:
                - price_id
                - recipient
    parameters:
      -
        in: path
        name: offer_id
        description: ''
        example: '25'
        required: true
        schema:
          type: 'Id de la Oferta'
  '/api/v1/recharges/offers/{offer_id}/recharge-stacked':
    post:
      summary: 'Recargar una Oferta'
      operationId: recargarUnaOferta
      description: 'Hace una recarga asociada a una oferta y tomando el ID del precio que se desea recargar'
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 13999
                    recipient_name: 'Dr. Juston Hill'
                    recipient: '+16572634972'
                    email: null
                    amount: '75.37'
                    is_paid: false
                    status: pending
                    price_label: 'Roderick Crooks'
                    operator:
                      id: 5183
                      code: '6980'
                      name: 'Roderick Crooks'
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/004499?text=dolor'
                    offer:
                      id: 2519
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/008877?text=commodi'
                      image_promo: 'https://via.placeholder.com/640x480.png/00aa77?text=deleniti'
                      name: 'Keagan Wyman'
                      description: 'Velit optio consequatur quisquam temporibus rem. Culpa et animi vitae in enim sit molestias ut. Aspernatur iure nulla rem ex atque.'
                      prices:
                        -
                          id: a203f97f-8e28-4f32-a357-e11538f57fb1
                          label: 'Recarga 314'
                          public: 35
                          subscription_interval: 'd:15'
                          value: 35
                        -
                          id: a970c139-2a43-4f95-a7ab-e336941e7738
                          label: 'Recarga 578'
                          public: 33
                          subscription_interval: 'm:1'
                          value: 33
                      category:
                        id: 2469
                        name: SIM
                      start_date: '2026-02-09'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: sim
                      currency:
                        id: 2749
                        name: MZN
                        code: AZN
                      metadata: null
                    user:
                      id: 7869
                      name: 'Crystel Bednar'
                      email: arenner@example.org
                      email_verified_at: '2025-11-21T14:44:06.000000Z'
                      phone: 1-747-901-3184
                      phone_verified_at: '2025-11-21T14:44:06.000000Z'
                      role: user
                      coins: '383.00'
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                    is_stacked: true
                    stacked_at: '2025-11-21T14:44:06.000000Z'
                    retries: 5
                    completed_at: '2025-11-21T14:44:06.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 13999
                      recipient_name:
                        type: string
                        example: 'Dr. Juston Hill'
                      recipient:
                        type: string
                        example: '+16572634972'
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '75.37'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: pending
                      price_label:
                        type: string
                        example: 'Roderick Crooks'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5183
                          code:
                            type: string
                            example: '6980'
                          name:
                            type: string
                            example: 'Roderick Crooks'
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/004499?text=dolor'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2519
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/008877?text=commodi'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00aa77?text=deleniti'
                          name:
                            type: string
                            example: 'Keagan Wyman'
                          description:
                            type: string
                            example: 'Velit optio consequatur quisquam temporibus rem. Culpa et animi vitae in enim sit molestias ut. Aspernatur iure nulla rem ex atque.'
                          prices:
                            type: array
                            example:
                              -
                                id: a203f97f-8e28-4f32-a357-e11538f57fb1
                                label: 'Recarga 314'
                                public: 35
                                subscription_interval: 'd:15'
                                value: 35
                              -
                                id: a970c139-2a43-4f95-a7ab-e336941e7738
                                label: 'Recarga 578'
                                public: 33
                                subscription_interval: 'm:1'
                                value: 33
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: a203f97f-8e28-4f32-a357-e11538f57fb1
                                label:
                                  type: string
                                  example: 'Recarga 314'
                                public:
                                  type: integer
                                  example: 35
                                subscription_interval:
                                  type: string
                                  example: 'd:15'
                                value:
                                  type: integer
                                  example: 35
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2469
                              name:
                                type: string
                                example: SIM
                          start_date:
                            type: string
                            example: '2026-02-09'
                          end_date:
                            type: string
                            example: '2026-02-21'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: sim
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2749
                              name:
                                type: string
                                example: MZN
                              code:
                                type: string
                                example: AZN
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7869
                          name:
                            type: string
                            example: 'Crystel Bednar'
                          email:
                            type: string
                            example: arenner@example.org
                          email_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          phone:
                            type: string
                            example: 1-747-901-3184
                          phone_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '383.00'
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      is_stacked:
                        type: boolean
                        example: true
                      stacked_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      retries:
                        type: integer
                        example: 5
                      completed_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  description: 'Id del Precio a recargas'
                  example: dfcceeda-82d1-4ede-ac36-689f2c97badf
                  nullable: false
                recipient_name:
                  type: string
                  description: 'Nombre del Destinatario'
                  example: 'John Doe'
                  nullable: false
                recipient:
                  type: string
                  description: 'Celular del Destinatario'
                  example: '5515151'
                  nullable: false
                email:
                  type: string
                  description: 'Email nauta (Solo para ofertas de nauta)'
                  example: myemail@nauta.cu
                  nullable: false
                comments:
                  type: string
                  description: ''
                  example: dolore
                  nullable: true
                subscribe:
                  type: boolean
                  description: 'Habilitar subscripcion'
                  example: true
                  nullable: false
              required:
                - price_id
                - recipient
    parameters:
      -
        in: path
        name: offer_id
        description: ''
        example: '25'
        required: true
        schema:
          type: 'Id de la Oferta'
  /api/v1/recharges/subscriptions:
    get:
      summary: 'Subscriptions del Usuario'
      operationId: subscriptionsDelUsuario
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 33
                      offer_name: 'Isabell Bednar MD '
                      recipient: +1-678-502-2827
                      recipient_name: 'Prof. Baron Pfeffer'
                      recipient_email: mpowlowski@yahoo.com
                      amount: '48.75'
                      status: disabled
                      interval: 'd:30'
                      interval_count: 0
                      last_payment_at: null
                      next_payment_at: null
                      created_at: '2025-11-21T14:44:06.000000Z'
                      updated_at: '2025-11-21T14:44:06.000000Z'
                    -
                      id: 34
                      offer_name: 'Mrs. Kaylah Swift I '
                      recipient: '+1 (402) 715-1099'
                      recipient_name: 'Jakob Hill'
                      recipient_email: trent27@yahoo.com
                      amount: '56.34'
                      status: enabled
                      interval: 'd:10'
                      interval_count: 0
                      last_payment_at: null
                      next_payment_at: null
                      created_at: '2025-11-21T14:44:06.000000Z'
                      updated_at: '2025-11-21T14:44:06.000000Z'
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 33
                        offer_name: 'Isabell Bednar MD '
                        recipient: +1-678-502-2827
                        recipient_name: 'Prof. Baron Pfeffer'
                        recipient_email: mpowlowski@yahoo.com
                        amount: '48.75'
                        status: disabled
                        interval: 'd:30'
                        interval_count: 0
                        last_payment_at: null
                        next_payment_at: null
                        created_at: '2025-11-21T14:44:06.000000Z'
                        updated_at: '2025-11-21T14:44:06.000000Z'
                      -
                        id: 34
                        offer_name: 'Mrs. Kaylah Swift I '
                        recipient: '+1 (402) 715-1099'
                        recipient_name: 'Jakob Hill'
                        recipient_email: trent27@yahoo.com
                        amount: '56.34'
                        status: enabled
                        interval: 'd:10'
                        interval_count: 0
                        last_payment_at: null
                        next_payment_at: null
                        created_at: '2025-11-21T14:44:06.000000Z'
                        updated_at: '2025-11-21T14:44:06.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 33
                        offer_name:
                          type: string
                          example: 'Isabell Bednar MD '
                        recipient:
                          type: string
                          example: +1-678-502-2827
                        recipient_name:
                          type: string
                          example: 'Prof. Baron Pfeffer'
                        recipient_email:
                          type: string
                          example: mpowlowski@yahoo.com
                        amount:
                          type: string
                          example: '48.75'
                        status:
                          type: string
                          example: disabled
                        interval:
                          type: string
                          example: 'd:30'
                        interval_count:
                          type: integer
                          example: 0
                        last_payment_at:
                          type: string
                          example: null
                        next_payment_at:
                          type: string
                          example: null
                        created_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        updated_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
      tags:
        - Recargas
    post:
      summary: 'Subscribe to Offer'
      operationId: subscribeToOffer
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 35
                    offer_name: 'Jalyn Wintheiser '
                    recipient: 339-875-5942
                    recipient_name: 'Mallory Schuppe'
                    recipient_email: hazel57@bahringer.com
                    amount: '39.14'
                    status: disabled
                    interval: 'd:10'
                    interval_count: 0
                    last_payment_at: null
                    next_payment_at: null
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                    offer:
                      id: 2522
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/0011aa?text=non'
                      image_promo: 'https://via.placeholder.com/640x480.png/0000dd?text=nihil'
                      name: 'Jalyn Wintheiser'
                      description: 'Vel quo tempore facere exercitationem. Illo aut in dolor aut dicta esse. Similique consequatur iure reprehenderit. Unde dolores sed veniam fuga pariatur odio perferendis.'
                      prices:
                        -
                          id: db37c5ca-3cb0-4e13-92bc-4618c27ce8cd
                          label: 'Recarga 867'
                          public: 37
                          subscription_interval: 'm:1'
                          value: 37
                        -
                          id: 8b87fdc7-8164-4a28-b51c-3bceed0004ad
                          label: 'Recarga 301'
                          public: 31
                          subscription_interval: null
                          value: 31
                      category:
                        id: 2472
                        name: SIM
                      start_date: '2025-12-03'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: nauta
                      currency:
                        id: 2752
                        name: CDF
                        code: PKR
                      metadata: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 35
                      offer_name:
                        type: string
                        example: 'Jalyn Wintheiser '
                      recipient:
                        type: string
                        example: 339-875-5942
                      recipient_name:
                        type: string
                        example: 'Mallory Schuppe'
                      recipient_email:
                        type: string
                        example: hazel57@bahringer.com
                      amount:
                        type: string
                        example: '39.14'
                      status:
                        type: string
                        example: disabled
                      interval:
                        type: string
                        example: 'd:10'
                      interval_count:
                        type: integer
                        example: 0
                      last_payment_at:
                        type: string
                        example: null
                      next_payment_at:
                        type: string
                        example: null
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2522
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0011aa?text=non'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0000dd?text=nihil'
                          name:
                            type: string
                            example: 'Jalyn Wintheiser'
                          description:
                            type: string
                            example: 'Vel quo tempore facere exercitationem. Illo aut in dolor aut dicta esse. Similique consequatur iure reprehenderit. Unde dolores sed veniam fuga pariatur odio perferendis.'
                          prices:
                            type: array
                            example:
                              -
                                id: db37c5ca-3cb0-4e13-92bc-4618c27ce8cd
                                label: 'Recarga 867'
                                public: 37
                                subscription_interval: 'm:1'
                                value: 37
                              -
                                id: 8b87fdc7-8164-4a28-b51c-3bceed0004ad
                                label: 'Recarga 301'
                                public: 31
                                subscription_interval: null
                                value: 31
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: db37c5ca-3cb0-4e13-92bc-4618c27ce8cd
                                label:
                                  type: string
                                  example: 'Recarga 867'
                                public:
                                  type: integer
                                  example: 37
                                subscription_interval:
                                  type: string
                                  example: 'm:1'
                                value:
                                  type: integer
                                  example: 37
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2472
                              name:
                                type: string
                                example: SIM
                          start_date:
                            type: string
                            example: '2025-12-03'
                          end_date:
                            type: string
                            example: '2026-02-21'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: nauta
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2752
                              name:
                                type: string
                                example: CDF
                              code:
                                type: string
                                example: PKR
                          metadata:
                            type: string
                            example: null
      tags:
        - Recargas
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  description: ''
                  example: perspiciatis
                  nullable: false
                recipient_name:
                  type: string
                  description: 'El campo value no debe ser mayor que 255 caracteres.'
                  example: dykktbygpicdoudakms
                  nullable: true
                recipient:
                  type: string
                  description: ''
                  example: quae
                  nullable: false
                email:
                  type: string
                  description: 'El campo value no es un correo válido. Must match the regex /^[a-zA-Z0-9._%+-]+@nauta\.com\.cu$/i. El campo value no debe ser mayor que 255 caracteres.'
                  example: freda39@example.org
                  nullable: true
                comments:
                  type: string
                  description: ''
                  example: nulla
                  nullable: true
              required:
                - price_id
                - recipient
  '/api/v1/recharges/subscriptions/{id}':
    patch:
      summary: 'Update Subscription'
      operationId: updateSubscription
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 36
                    offer_name: 'Prof. Sabryna Grant '
                    recipient: 251.207.4621
                    recipient_name: 'Kenyatta Bartoletti'
                    recipient_email: gconn@gmail.com
                    amount: '87.79'
                    status: disabled
                    interval: 'd:15'
                    interval_count: 0
                    last_payment_at: null
                    next_payment_at: null
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 36
                      offer_name:
                        type: string
                        example: 'Prof. Sabryna Grant '
                      recipient:
                        type: string
                        example: 251.207.4621
                      recipient_name:
                        type: string
                        example: 'Kenyatta Bartoletti'
                      recipient_email:
                        type: string
                        example: gconn@gmail.com
                      amount:
                        type: string
                        example: '87.79'
                      status:
                        type: string
                        example: disabled
                      interval:
                        type: string
                        example: 'd:15'
                      interval_count:
                        type: integer
                        example: 0
                      last_payment_at:
                        type: string
                        example: null
                      next_payment_at:
                        type: string
                        example: null
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
      tags:
        - Recargas
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  description: ''
                  example: enabled
                  nullable: false
                  enum:
                    - enabled
                    - disabled
                recipient:
                  type: string
                  description: ''
                  example: aspernatur
                  nullable: false
                recipient_name:
                  type: string
                  description: ''
                  example: libero
                  nullable: true
                email:
                  type: string
                  description: 'El campo value no es un correo válido.'
                  example: rafaela48@example.org
                  nullable: true
    parameters:
      -
        in: path
        name: id
        description: 'The ID of the subscription.'
        example: 4
        required: true
        schema:
          type: integer
  /api/v1/recharges/mine:
    get:
      summary: 'List My Recargas'
      operationId: listMyRecargas
      description: ''
      parameters:
        -
          in: query
          name: user_id
          description: 'Id de usuario'
          example: eveniet
          required: false
          schema:
            type: string
            description: 'Id de usuario'
            example: eveniet
            nullable: false
        -
          in: query
          name: operator_code
          description: 'Codigo de Operador'
          example: magni
          required: false
          schema:
            type: string
            description: 'Codigo de Operador'
            example: magni
            nullable: false
        -
          in: query
          name: recipient
          description: 'Celular del destinatario'
          example: reprehenderit
          required: false
          schema:
            type: string
            description: 'Celular del destinatario'
            example: reprehenderit
            nullable: false
        -
          in: query
          name: status
          description: 'Estado de Recarga'
          example: pariatur
          required: false
          schema:
            type: string
            description: 'Estado de Recarga'
            example: pariatur
            nullable: false
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 14000
                      recipient_name: 'Prof. Adrian Hartmann MD'
                      recipient: '(445) 617-4109'
                      email: null
                      amount: '75.87'
                      is_paid: false
                      status: completed
                      price_label: "Reymundo O'Hara"
                      operator:
                        id: 5189
                        code: '8210'
                        name: "Reymundo O'Hara"
                        available: true
                        image: 'https://via.placeholder.com/640x480.png/007711?text=ex'
                      offer:
                        id: 2524
                        available: false
                        image: 'https://via.placeholder.com/640x480.png/0011dd?text=et'
                        image_promo: 'https://via.placeholder.com/640x480.png/00aaff?text=sit'
                        name: 'Judah Kuphal I'
                        description: 'Excepturi reprehenderit minus explicabo quis. Nihil et et harum et qui. Et sint omnis facere vero quam dicta vel. Earum blanditiis illum temporibus quam eaque nobis magni.'
                        prices:
                          -
                            id: ab4adb55-009f-42d0-bef0-7bfd1a1f96b3
                            label: 'Recarga 357'
                            public: 24
                            subscription_interval: 'd:15'
                            value: 24
                          -
                            id: 245b6b59-6ee1-416f-95ab-11866b5790b4
                            label: 'Recarga 127'
                            public: 20
                            subscription_interval: 'd:15'
                            value: 20
                        category:
                          id: 2474
                          name: Recargas
                        start_date: '2026-01-28'
                        end_date: '2026-02-21'
                        is_stackable: false
                        is_preorder: false
                        type: nauta
                        currency:
                          id: 2754
                          name: LAK
                          code: DZD
                        metadata: null
                      user:
                        id: 7874
                        name: 'Prof. Mitchell Donnelly'
                        email: gottlieb.myrtis@example.net
                        email_verified_at: '2025-11-21T14:44:06.000000Z'
                        phone: '(620) 696-3321'
                        phone_verified_at: '2025-11-21T14:44:06.000000Z'
                        role: user
                        coins: '978.00'
                      created_at: '2025-11-21T14:44:06.000000Z'
                      updated_at: '2025-11-21T14:44:06.000000Z'
                      is_stacked: true
                      stacked_at: '2025-11-21T14:44:06.000000Z'
                      retries: 1
                      completed_at: '2025-11-21T14:44:06.000000Z'
                      comments: null
                    -
                      id: 14001
                      recipient_name: 'Cristina Collier III'
                      recipient: '(385) 287-6130'
                      email: null
                      amount: '32.25'
                      is_paid: false
                      status: completed
                      price_label: 'Mr. Erin Moore Sr.'
                      operator:
                        id: 5191
                        code: '6543'
                        name: 'Mr. Erin Moore Sr.'
                        available: false
                        image: 'https://via.placeholder.com/640x480.png/009955?text=quo'
                      offer:
                        id: 2525
                        available: true
                        image: 'https://via.placeholder.com/640x480.png/00bbff?text=repellat'
                        image_promo: 'https://via.placeholder.com/640x480.png/001144?text=occaecati'
                        name: 'Jacey Moen'
                        description: 'Id voluptatibus qui quibusdam esse vero ut quia. Aut harum est modi qui. Eveniet dignissimos adipisci ut soluta. Fugiat earum consequatur dolorem est aliquam.'
                        prices:
                          -
                            id: 0ea787ed-59a0-48ae-966d-1948ff585a44
                            label: 'Recarga 548'
                            public: 17
                            subscription_interval: null
                            value: 17
                          -
                            id: a05520f9-eed6-49c9-86b3-76ddd738a144
                            label: 'Recarga 664'
                            public: 33
                            subscription_interval: null
                            value: 33
                        category:
                          id: 2475
                          name: Recargas
                        start_date: '2025-11-09'
                        end_date: '2026-02-21'
                        is_stackable: false
                        is_preorder: false
                        type: nauta
                        currency:
                          id: 2755
                          name: GTQ
                          code: VND
                        metadata: null
                      user:
                        id: 7875
                        name: 'Carole Swaniawski'
                        email: mwunsch@example.org
                        email_verified_at: '2025-11-21T14:44:06.000000Z'
                        phone: '(650) 601-5999'
                        phone_verified_at: '2025-11-21T14:44:06.000000Z'
                        role: user
                        coins: '235.00'
                      created_at: '2025-11-21T14:44:06.000000Z'
                      updated_at: '2025-11-21T14:44:06.000000Z'
                      is_stacked: false
                      stacked_at: '2025-11-21T14:44:06.000000Z'
                      retries: 9
                      completed_at: '2025-11-21T14:44:06.000000Z'
                      comments: null
                  links:
                    first: '/?page=1'
                    last: null
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    path: /
                    per_page: 15
                    to: 2
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 14000
                        recipient_name: 'Prof. Adrian Hartmann MD'
                        recipient: '(445) 617-4109'
                        email: null
                        amount: '75.87'
                        is_paid: false
                        status: completed
                        price_label: "Reymundo O'Hara"
                        operator:
                          id: 5189
                          code: '8210'
                          name: "Reymundo O'Hara"
                          available: true
                          image: 'https://via.placeholder.com/640x480.png/007711?text=ex'
                        offer:
                          id: 2524
                          available: false
                          image: 'https://via.placeholder.com/640x480.png/0011dd?text=et'
                          image_promo: 'https://via.placeholder.com/640x480.png/00aaff?text=sit'
                          name: 'Judah Kuphal I'
                          description: 'Excepturi reprehenderit minus explicabo quis. Nihil et et harum et qui. Et sint omnis facere vero quam dicta vel. Earum blanditiis illum temporibus quam eaque nobis magni.'
                          prices:
                            -
                              id: ab4adb55-009f-42d0-bef0-7bfd1a1f96b3
                              label: 'Recarga 357'
                              public: 24
                              subscription_interval: 'd:15'
                              value: 24
                            -
                              id: 245b6b59-6ee1-416f-95ab-11866b5790b4
                              label: 'Recarga 127'
                              public: 20
                              subscription_interval: 'd:15'
                              value: 20
                          category:
                            id: 2474
                            name: Recargas
                          start_date: '2026-01-28'
                          end_date: '2026-02-21'
                          is_stackable: false
                          is_preorder: false
                          type: nauta
                          currency:
                            id: 2754
                            name: LAK
                            code: DZD
                          metadata: null
                        user:
                          id: 7874
                          name: 'Prof. Mitchell Donnelly'
                          email: gottlieb.myrtis@example.net
                          email_verified_at: '2025-11-21T14:44:06.000000Z'
                          phone: '(620) 696-3321'
                          phone_verified_at: '2025-11-21T14:44:06.000000Z'
                          role: user
                          coins: '978.00'
                        created_at: '2025-11-21T14:44:06.000000Z'
                        updated_at: '2025-11-21T14:44:06.000000Z'
                        is_stacked: true
                        stacked_at: '2025-11-21T14:44:06.000000Z'
                        retries: 1
                        completed_at: '2025-11-21T14:44:06.000000Z'
                        comments: null
                      -
                        id: 14001
                        recipient_name: 'Cristina Collier III'
                        recipient: '(385) 287-6130'
                        email: null
                        amount: '32.25'
                        is_paid: false
                        status: completed
                        price_label: 'Mr. Erin Moore Sr.'
                        operator:
                          id: 5191
                          code: '6543'
                          name: 'Mr. Erin Moore Sr.'
                          available: false
                          image: 'https://via.placeholder.com/640x480.png/009955?text=quo'
                        offer:
                          id: 2525
                          available: true
                          image: 'https://via.placeholder.com/640x480.png/00bbff?text=repellat'
                          image_promo: 'https://via.placeholder.com/640x480.png/001144?text=occaecati'
                          name: 'Jacey Moen'
                          description: 'Id voluptatibus qui quibusdam esse vero ut quia. Aut harum est modi qui. Eveniet dignissimos adipisci ut soluta. Fugiat earum consequatur dolorem est aliquam.'
                          prices:
                            -
                              id: 0ea787ed-59a0-48ae-966d-1948ff585a44
                              label: 'Recarga 548'
                              public: 17
                              subscription_interval: null
                              value: 17
                            -
                              id: a05520f9-eed6-49c9-86b3-76ddd738a144
                              label: 'Recarga 664'
                              public: 33
                              subscription_interval: null
                              value: 33
                          category:
                            id: 2475
                            name: Recargas
                          start_date: '2025-11-09'
                          end_date: '2026-02-21'
                          is_stackable: false
                          is_preorder: false
                          type: nauta
                          currency:
                            id: 2755
                            name: GTQ
                            code: VND
                          metadata: null
                        user:
                          id: 7875
                          name: 'Carole Swaniawski'
                          email: mwunsch@example.org
                          email_verified_at: '2025-11-21T14:44:06.000000Z'
                          phone: '(650) 601-5999'
                          phone_verified_at: '2025-11-21T14:44:06.000000Z'
                          role: user
                          coins: '235.00'
                        created_at: '2025-11-21T14:44:06.000000Z'
                        updated_at: '2025-11-21T14:44:06.000000Z'
                        is_stacked: false
                        stacked_at: '2025-11-21T14:44:06.000000Z'
                        retries: 9
                        completed_at: '2025-11-21T14:44:06.000000Z'
                        comments: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 14000
                        recipient_name:
                          type: string
                          example: 'Prof. Adrian Hartmann MD'
                        recipient:
                          type: string
                          example: '(445) 617-4109'
                        email:
                          type: string
                          example: null
                        amount:
                          type: string
                          example: '75.87'
                        is_paid:
                          type: boolean
                          example: false
                        status:
                          type: string
                          example: completed
                        price_label:
                          type: string
                          example: "Reymundo O'Hara"
                        operator:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 5189
                            code:
                              type: string
                              example: '8210'
                            name:
                              type: string
                              example: "Reymundo O'Hara"
                            available:
                              type: boolean
                              example: true
                            image:
                              type: string
                              example: 'https://via.placeholder.com/640x480.png/007711?text=ex'
                        offer:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 2524
                            available:
                              type: boolean
                              example: false
                            image:
                              type: string
                              example: 'https://via.placeholder.com/640x480.png/0011dd?text=et'
                            image_promo:
                              type: string
                              example: 'https://via.placeholder.com/640x480.png/00aaff?text=sit'
                            name:
                              type: string
                              example: 'Judah Kuphal I'
                            description:
                              type: string
                              example: 'Excepturi reprehenderit minus explicabo quis. Nihil et et harum et qui. Et sint omnis facere vero quam dicta vel. Earum blanditiis illum temporibus quam eaque nobis magni.'
                            prices:
                              type: array
                              example:
                                -
                                  id: ab4adb55-009f-42d0-bef0-7bfd1a1f96b3
                                  label: 'Recarga 357'
                                  public: 24
                                  subscription_interval: 'd:15'
                                  value: 24
                                -
                                  id: 245b6b59-6ee1-416f-95ab-11866b5790b4
                                  label: 'Recarga 127'
                                  public: 20
                                  subscription_interval: 'd:15'
                                  value: 20
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: ab4adb55-009f-42d0-bef0-7bfd1a1f96b3
                                  label:
                                    type: string
                                    example: 'Recarga 357'
                                  public:
                                    type: integer
                                    example: 24
                                  subscription_interval:
                                    type: string
                                    example: 'd:15'
                                  value:
                                    type: integer
                                    example: 24
                            category:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 2474
                                name:
                                  type: string
                                  example: Recargas
                            start_date:
                              type: string
                              example: '2026-01-28'
                            end_date:
                              type: string
                              example: '2026-02-21'
                            is_stackable:
                              type: boolean
                              example: false
                            is_preorder:
                              type: boolean
                              example: false
                            type:
                              type: string
                              example: nauta
                            currency:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 2754
                                name:
                                  type: string
                                  example: LAK
                                code:
                                  type: string
                                  example: DZD
                            metadata:
                              type: string
                              example: null
                        user:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7874
                            name:
                              type: string
                              example: 'Prof. Mitchell Donnelly'
                            email:
                              type: string
                              example: gottlieb.myrtis@example.net
                            email_verified_at:
                              type: string
                              example: '2025-11-21T14:44:06.000000Z'
                            phone:
                              type: string
                              example: '(620) 696-3321'
                            phone_verified_at:
                              type: string
                              example: '2025-11-21T14:44:06.000000Z'
                            role:
                              type: string
                              example: user
                            coins:
                              type: string
                              example: '978.00'
                        created_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        updated_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        is_stacked:
                          type: boolean
                          example: true
                        stacked_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        retries:
                          type: integer
                          example: 1
                        completed_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        comments:
                          type: string
                          example: null
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: '/?page=1'
                      last:
                        type: string
                        example: null
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      to:
                        type: integer
                        example: 2
      tags:
        - Recargas
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the users table.'
                  example: 2
                  nullable: false
                operator_code:
                  type: string
                  description: 'The <code>code</code> of an existing record in the recharge_operators table.'
                  example: vel
                  nullable: false
                operator_id:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the recharge_operators table.'
                  example: 3
                  nullable: false
                recipient_name:
                  type: string
                  description: ''
                  example: et
                  nullable: false
                recipient:
                  type: string
                  description: ''
                  example: quas
                  nullable: false
                status:
                  type: string
                  description: ''
                  example: completed
                  nullable: false
                  enum:
                    - canceled
                    - completed
                    - pending
                is_stacked:
                  type: boolean
                  description: ''
                  example: true
                  nullable: false
  '/api/v1/recharges/{id}':
    get:
      summary: 'Recarga Details'
      operationId: recargaDetails
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 14002
                    recipient_name: 'Rebeca Upton'
                    recipient: 812.839.9753
                    email: null
                    amount: '85.27'
                    is_paid: false
                    status: completed
                    price_label: 'Carlee Mante'
                    operator:
                      id: 5193
                      code: '4361'
                      name: 'Carlee Mante'
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/00ff77?text=consectetur'
                    offer:
                      id: 2526
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/0099cc?text=nobis'
                      image_promo: 'https://via.placeholder.com/640x480.png/009911?text=nostrum'
                      name: 'Porter Morissette'
                      description: 'Laboriosam est sit dolorem sapiente. Est sunt facere ab et unde laborum. Expedita sed laboriosam nobis rerum placeat ipsa.'
                      prices:
                        -
                          id: a4b607c2-3972-4b39-bcc6-a104ad49339b
                          label: 'Recarga 873'
                          public: 10
                          subscription_interval: 'm:1'
                          value: 10
                        -
                          id: bf48081c-801e-4762-9649-3473b1c13097
                          label: 'Recarga 032'
                          public: 24
                          subscription_interval: null
                          value: 24
                      category:
                        id: 2476
                        name: SIM
                      start_date: '2025-10-15'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: sim
                      currency:
                        id: 2756
                        name: LSL
                        code: UYU
                      metadata: null
                    user:
                      id: 7876
                      name: 'Mr. Olen Conroy'
                      email: iquitzon@example.net
                      email_verified_at: '2025-11-21T14:44:06.000000Z'
                      phone: +1-650-435-4171
                      phone_verified_at: '2025-11-21T14:44:06.000000Z'
                      role: user
                      coins: '943.00'
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                    is_stacked: true
                    stacked_at: '2025-11-21T14:44:06.000000Z'
                    retries: 5
                    completed_at: '2025-11-21T14:44:06.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 14002
                      recipient_name:
                        type: string
                        example: 'Rebeca Upton'
                      recipient:
                        type: string
                        example: 812.839.9753
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '85.27'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: completed
                      price_label:
                        type: string
                        example: 'Carlee Mante'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5193
                          code:
                            type: string
                            example: '4361'
                          name:
                            type: string
                            example: 'Carlee Mante'
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00ff77?text=consectetur'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2526
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0099cc?text=nobis'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/009911?text=nostrum'
                          name:
                            type: string
                            example: 'Porter Morissette'
                          description:
                            type: string
                            example: 'Laboriosam est sit dolorem sapiente. Est sunt facere ab et unde laborum. Expedita sed laboriosam nobis rerum placeat ipsa.'
                          prices:
                            type: array
                            example:
                              -
                                id: a4b607c2-3972-4b39-bcc6-a104ad49339b
                                label: 'Recarga 873'
                                public: 10
                                subscription_interval: 'm:1'
                                value: 10
                              -
                                id: bf48081c-801e-4762-9649-3473b1c13097
                                label: 'Recarga 032'
                                public: 24
                                subscription_interval: null
                                value: 24
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: a4b607c2-3972-4b39-bcc6-a104ad49339b
                                label:
                                  type: string
                                  example: 'Recarga 873'
                                public:
                                  type: integer
                                  example: 10
                                subscription_interval:
                                  type: string
                                  example: 'm:1'
                                value:
                                  type: integer
                                  example: 10
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2476
                              name:
                                type: string
                                example: SIM
                          start_date:
                            type: string
                            example: '2025-10-15'
                          end_date:
                            type: string
                            example: '2026-02-21'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: sim
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2756
                              name:
                                type: string
                                example: LSL
                              code:
                                type: string
                                example: UYU
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7876
                          name:
                            type: string
                            example: 'Mr. Olen Conroy'
                          email:
                            type: string
                            example: iquitzon@example.net
                          email_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          phone:
                            type: string
                            example: +1-650-435-4171
                          phone_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '943.00'
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      is_stacked:
                        type: boolean
                        example: true
                      stacked_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      retries:
                        type: integer
                        example: 5
                      completed_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
    parameters:
      -
        in: path
        name: id
        description: ''
        example: 6
        required: true
        schema:
          type: integer
  '/api/v1/recharges/{recharge_id}/cancel':
    post:
      summary: 'Cancelar una Recarga'
      operationId: cancelarUnaRecarga
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 14003
                    recipient_name: 'Mortimer Christiansen II'
                    recipient: '+1 (320) 609-9600'
                    email: null
                    amount: '87.78'
                    is_paid: false
                    status: completed
                    price_label: 'Sylvan Kiehn'
                    operator:
                      id: 5195
                      code: '8976'
                      name: 'Sylvan Kiehn'
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/00aa44?text=et'
                    offer:
                      id: 2527
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/001122?text=animi'
                      image_promo: 'https://via.placeholder.com/640x480.png/002288?text=autem'
                      name: 'Lelia Block'
                      description: 'Aliquam accusamus deleniti doloribus impedit. Velit nemo ducimus cumque ab animi ut voluptatum rerum. Officiis inventore ut recusandae voluptates.'
                      prices:
                        -
                          id: f4931b6d-8483-4b52-b0c0-d390e5361e6f
                          label: 'Recarga 779'
                          public: 30
                          subscription_interval: 'd:15'
                          value: 30
                        -
                          id: 1dd18270-a467-44bb-bbbe-921cc2c83a55
                          label: 'Recarga 261'
                          public: 34
                          subscription_interval: 'm:1'
                          value: 34
                      category:
                        id: 2477
                        name: SIM
                      start_date: '2026-01-06'
                      end_date: '2026-02-21'
                      is_stackable: false
                      is_preorder: false
                      type: nauta
                      currency:
                        id: 2757
                        name: GEL
                        code: VND
                      metadata: null
                    user:
                      id: 7877
                      name: 'Muhammad Auer'
                      email: beer.agustina@example.com
                      email_verified_at: '2025-11-21T14:44:06.000000Z'
                      phone: +1-319-619-2149
                      phone_verified_at: '2025-11-21T14:44:06.000000Z'
                      role: user
                      coins: '870.00'
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                    is_stacked: true
                    stacked_at: '2025-11-21T14:44:06.000000Z'
                    retries: 6
                    completed_at: '2025-11-21T14:44:06.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 14003
                      recipient_name:
                        type: string
                        example: 'Mortimer Christiansen II'
                      recipient:
                        type: string
                        example: '+1 (320) 609-9600'
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '87.78'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: completed
                      price_label:
                        type: string
                        example: 'Sylvan Kiehn'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5195
                          code:
                            type: string
                            example: '8976'
                          name:
                            type: string
                            example: 'Sylvan Kiehn'
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00aa44?text=et'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2527
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/001122?text=animi'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/002288?text=autem'
                          name:
                            type: string
                            example: 'Lelia Block'
                          description:
                            type: string
                            example: 'Aliquam accusamus deleniti doloribus impedit. Velit nemo ducimus cumque ab animi ut voluptatum rerum. Officiis inventore ut recusandae voluptates.'
                          prices:
                            type: array
                            example:
                              -
                                id: f4931b6d-8483-4b52-b0c0-d390e5361e6f
                                label: 'Recarga 779'
                                public: 30
                                subscription_interval: 'd:15'
                                value: 30
                              -
                                id: 1dd18270-a467-44bb-bbbe-921cc2c83a55
                                label: 'Recarga 261'
                                public: 34
                                subscription_interval: 'm:1'
                                value: 34
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: f4931b6d-8483-4b52-b0c0-d390e5361e6f
                                label:
                                  type: string
                                  example: 'Recarga 779'
                                public:
                                  type: integer
                                  example: 30
                                subscription_interval:
                                  type: string
                                  example: 'd:15'
                                value:
                                  type: integer
                                  example: 30
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2477
                              name:
                                type: string
                                example: SIM
                          start_date:
                            type: string
                            example: '2026-01-06'
                          end_date:
                            type: string
                            example: '2026-02-21'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: nauta
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2757
                              name:
                                type: string
                                example: GEL
                              code:
                                type: string
                                example: VND
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7877
                          name:
                            type: string
                            example: 'Muhammad Auer'
                          email:
                            type: string
                            example: beer.agustina@example.com
                          email_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          phone:
                            type: string
                            example: +1-319-619-2149
                          phone_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '870.00'
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      is_stacked:
                        type: boolean
                        example: true
                      stacked_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      retries:
                        type: integer
                        example: 6
                      completed_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
    parameters:
      -
        in: path
        name: recharge_id
        description: 'The ID of the recharge.'
        example: 9310
        required: true
        schema:
          type: integer
      -
        in: path
        name: id
        description: ''
        example: dicta
        required: true
        schema:
          type: 'Id de la recarga'
  /api/v1/countries:
    get:
      summary: 'Obtener los países'
      operationId: obtenerLosPases
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      name: null
                      code: null
                      flag: null
                    -
                      name: null
                      code: null
                      flag: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        name: null
                        code: null
                        flag: null
                      -
                        name: null
                        code: null
                        flag: null
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: null
                        code:
                          type: string
                          example: null
                        flag:
                          type: string
                          example: null
      tags:
        - 'SimCard (SOLO PARA PRUEBAS)'
      security: []
  /api/v1/physical-offices:
    get:
      summary: 'Obtener los puntos de venta'
      operationId: obtenerLosPuntosDeVenta
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'CENTRO MULTISERVICIOS MARTI'
                      address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                      city: null
                      province: 'Pinar del Río'
                      phone: null
                      email: null
                      schedule: null
                    -
                      id: 1
                      name: 'CENTRO MULTISERVICIOS MARTI'
                      address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                      city: null
                      province: 'Pinar del Río'
                      phone: null
                      email: null
                      schedule: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'CENTRO MULTISERVICIOS MARTI'
                        address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                        city: null
                        province: 'Pinar del Río'
                        phone: null
                        email: null
                        schedule: null
                      -
                        id: 1
                        name: 'CENTRO MULTISERVICIOS MARTI'
                        address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                        city: null
                        province: 'Pinar del Río'
                        phone: null
                        email: null
                        schedule: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'CENTRO MULTISERVICIOS MARTI'
                        address:
                          type: string
                          example: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                        city:
                          type: string
                          example: null
                        province:
                          type: string
                          example: 'Pinar del Río'
                        phone:
                          type: string
                          example: null
                        email:
                          type: string
                          example: null
                        schedule:
                          type: string
                          example: null
      tags:
        - 'SimCard (SOLO PARA PRUEBAS)'
      security: []
  /api/v1/users/auth/current:
    get:
      summary: 'Get Current user'
      operationId: getCurrentUser
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 7878
                    name: 'Alene Jenkins'
                    email: shanahan.mona@example.org
                    email_verified_at: '2025-11-21T14:44:06.000000Z'
                    phone: +1-970-813-5036
                    phone_verified_at: '2025-11-21T14:44:06.000000Z'
                    role: user
                    coins: '861.00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 7878
                      name:
                        type: string
                        example: 'Alene Jenkins'
                      email:
                        type: string
                        example: shanahan.mona@example.org
                      email_verified_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      phone:
                        type: string
                        example: +1-970-813-5036
                      phone_verified_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      role:
                        type: string
                        example: user
                      coins:
                        type: string
                        example: '861.00'
      tags:
        - Users
  /api/v1/coins/currencies:
    get:
      summary: 'Get Available Currencies'
      operationId: getAvailableCurrencies
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 2745
                    name: AFN
                    code: MNT
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 2745
                      name:
                        type: string
                        example: AFN
                      code:
                        type: string
                        example: MNT
      tags:
        - Wallets
      security: []
  /api/v1/coins/transactions/mine:
    get:
      summary: 'List My Transactions'
      operationId: listMyTransactions
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 22132
                      amount: '89.33'
                      status: failed
                      type: deposit
                      fromUser:
                        id: 7862
                        name: 'Frederic Bechtelar'
                        email: batz.korbin@example.com
                        email_verified_at: '2025-11-21T14:44:05.000000Z'
                        phone: +1-747-745-1964
                        phone_verified_at: '2025-11-21T14:44:05.000000Z'
                        role: user
                        coins: '168.00'
                      toUser:
                        id: 7863
                        name: 'Dr. Liza Feil'
                        email: myrna35@example.org
                        email_verified_at: '2025-11-21T14:44:06.000000Z'
                        phone: 401.522.3076
                        phone_verified_at: '2025-11-21T14:44:06.000000Z'
                        role: user
                        coins: '625.00'
                      comments: "Canterbury, found it advisable--\"' 'Found WHAT?' said the Duchess. 'I make you grow shorter.' 'One side will make you dry enough!' They all made of solid glass; there was a little ledge of rock."
                      payment: null
                      created_at: '2025-11-21T14:44:06.000000Z'
                      updated_at: '2025-11-21T14:44:06.000000Z'
                      metadata: null
                    -
                      id: 22133
                      amount: '82.15'
                      status: failed
                      type: consume
                      fromUser:
                        id: 7864
                        name: 'Theo Bednar'
                        email: lina.romaguera@example.com
                        email_verified_at: '2025-11-21T14:44:06.000000Z'
                        phone: 859.376.9200
                        phone_verified_at: '2025-11-21T14:44:06.000000Z'
                        role: user
                        coins: '71.00'
                      toUser:
                        id: 7865
                        name: 'Dr. Cheyanne Kuhlman'
                        email: destini19@example.org
                        email_verified_at: '2025-11-21T14:44:06.000000Z'
                        phone: '+1 (743) 861-4465'
                        phone_verified_at: '2025-11-21T14:44:06.000000Z'
                        role: user
                        coins: '150.00'
                      comments: "She went in without knocking, and hurried off to trouble myself about you: you must manage the best way you can;--but I must be kind to them,' thought Alice, 'to speak to this mouse? Everything is."
                      payment: null
                      created_at: '2025-11-21T14:44:06.000000Z'
                      updated_at: '2025-11-21T14:44:06.000000Z'
                      metadata: null
                  links:
                    first: '/?page=1'
                    last: null
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    path: /
                    per_page: 15
                    to: 2
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 22132
                        amount: '89.33'
                        status: failed
                        type: deposit
                        fromUser:
                          id: 7862
                          name: 'Frederic Bechtelar'
                          email: batz.korbin@example.com
                          email_verified_at: '2025-11-21T14:44:05.000000Z'
                          phone: +1-747-745-1964
                          phone_verified_at: '2025-11-21T14:44:05.000000Z'
                          role: user
                          coins: '168.00'
                        toUser:
                          id: 7863
                          name: 'Dr. Liza Feil'
                          email: myrna35@example.org
                          email_verified_at: '2025-11-21T14:44:06.000000Z'
                          phone: 401.522.3076
                          phone_verified_at: '2025-11-21T14:44:06.000000Z'
                          role: user
                          coins: '625.00'
                        comments: "Canterbury, found it advisable--\"' 'Found WHAT?' said the Duchess. 'I make you grow shorter.' 'One side will make you dry enough!' They all made of solid glass; there was a little ledge of rock."
                        payment: null
                        created_at: '2025-11-21T14:44:06.000000Z'
                        updated_at: '2025-11-21T14:44:06.000000Z'
                        metadata: null
                      -
                        id: 22133
                        amount: '82.15'
                        status: failed
                        type: consume
                        fromUser:
                          id: 7864
                          name: 'Theo Bednar'
                          email: lina.romaguera@example.com
                          email_verified_at: '2025-11-21T14:44:06.000000Z'
                          phone: 859.376.9200
                          phone_verified_at: '2025-11-21T14:44:06.000000Z'
                          role: user
                          coins: '71.00'
                        toUser:
                          id: 7865
                          name: 'Dr. Cheyanne Kuhlman'
                          email: destini19@example.org
                          email_verified_at: '2025-11-21T14:44:06.000000Z'
                          phone: '+1 (743) 861-4465'
                          phone_verified_at: '2025-11-21T14:44:06.000000Z'
                          role: user
                          coins: '150.00'
                        comments: "She went in without knocking, and hurried off to trouble myself about you: you must manage the best way you can;--but I must be kind to them,' thought Alice, 'to speak to this mouse? Everything is."
                        payment: null
                        created_at: '2025-11-21T14:44:06.000000Z'
                        updated_at: '2025-11-21T14:44:06.000000Z'
                        metadata: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 22132
                        amount:
                          type: string
                          example: '89.33'
                        status:
                          type: string
                          example: failed
                        type:
                          type: string
                          example: deposit
                        fromUser:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7862
                            name:
                              type: string
                              example: 'Frederic Bechtelar'
                            email:
                              type: string
                              example: batz.korbin@example.com
                            email_verified_at:
                              type: string
                              example: '2025-11-21T14:44:05.000000Z'
                            phone:
                              type: string
                              example: +1-747-745-1964
                            phone_verified_at:
                              type: string
                              example: '2025-11-21T14:44:05.000000Z'
                            role:
                              type: string
                              example: user
                            coins:
                              type: string
                              example: '168.00'
                        toUser:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7863
                            name:
                              type: string
                              example: 'Dr. Liza Feil'
                            email:
                              type: string
                              example: myrna35@example.org
                            email_verified_at:
                              type: string
                              example: '2025-11-21T14:44:06.000000Z'
                            phone:
                              type: string
                              example: 401.522.3076
                            phone_verified_at:
                              type: string
                              example: '2025-11-21T14:44:06.000000Z'
                            role:
                              type: string
                              example: user
                            coins:
                              type: string
                              example: '625.00'
                        comments:
                          type: string
                          example: "Canterbury, found it advisable--\"' 'Found WHAT?' said the Duchess. 'I make you grow shorter.' 'One side will make you dry enough!' They all made of solid glass; there was a little ledge of rock."
                        payment:
                          type: string
                          example: null
                        created_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        updated_at:
                          type: string
                          example: '2025-11-21T14:44:06.000000Z'
                        metadata:
                          type: string
                          example: null
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: '/?page=1'
                      last:
                        type: string
                        example: null
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      to:
                        type: integer
                        example: 2
      tags:
        - Wallets
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                from_user_id:
                  type: integer
                  description: optional
                  example: 19
                  nullable: false
                to_user_id:
                  type: integer
                  description: optional
                  example: 16
                  nullable: false
                type:
                  type: string
                  description: ''
                  example: withdrawal
                  nullable: false
                  enum:
                    - withdrawal
                    - deposit
                    - transfer
                    - refund
                    - consume
                    - set
                types:
                  type: array
                  description: ''
                  example:
                    - transfer
                  items:
                    type: string
                    enum:
                      - withdrawal
                      - deposit
                      - transfer
                      - refund
                      - consume
                      - set
                status:
                  type: string
                  description: optional
                  example: neque
                  nullable: false
  '/api/v1/coins/transactions/{id}':
    get:
      summary: 'Transaction Details'
      operationId: transactionDetails
      description: '* Requires Admin permissions'
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 22134
                    amount: '62.76'
                    status: pending
                    type: transfer
                    fromUser:
                      id: 7866
                      name: 'Guiseppe Hegmann'
                      email: kohler.jovany@example.org
                      email_verified_at: '2025-11-21T14:44:06.000000Z'
                      phone: '+1 (740) 932-6929'
                      phone_verified_at: '2025-11-21T14:44:06.000000Z'
                      role: user
                      coins: '599.00'
                    toUser:
                      id: 7867
                      name: 'Cortez Zemlak Jr.'
                      email: peter40@example.org
                      email_verified_at: '2025-11-21T14:44:06.000000Z'
                      phone: '(859) 229-8062'
                      phone_verified_at: '2025-11-21T14:44:06.000000Z'
                      role: user
                      coins: '71.00'
                    comments: "I ask! It's always six o'clock now.' A bright idea came into Alice's shoulder as she listened, or seemed to rise like a Jack-in-the-box, and up the fan and two or three pairs of tiny white kid."
                    payment: null
                    created_at: '2025-11-21T14:44:06.000000Z'
                    updated_at: '2025-11-21T14:44:06.000000Z'
                    metadata: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 22134
                      amount:
                        type: string
                        example: '62.76'
                      status:
                        type: string
                        example: pending
                      type:
                        type: string
                        example: transfer
                      fromUser:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7866
                          name:
                            type: string
                            example: 'Guiseppe Hegmann'
                          email:
                            type: string
                            example: kohler.jovany@example.org
                          email_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          phone:
                            type: string
                            example: '+1 (740) 932-6929'
                          phone_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '599.00'
                      toUser:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7867
                          name:
                            type: string
                            example: 'Cortez Zemlak Jr.'
                          email:
                            type: string
                            example: peter40@example.org
                          email_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          phone:
                            type: string
                            example: '(859) 229-8062'
                          phone_verified_at:
                            type: string
                            example: '2025-11-21T14:44:06.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '71.00'
                      comments:
                        type: string
                        example: "I ask! It's always six o'clock now.' A bright idea came into Alice's shoulder as she listened, or seemed to rise like a Jack-in-the-box, and up the fan and two or three pairs of tiny white kid."
                      payment:
                        type: string
                        example: null
                      created_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      updated_at:
                        type: string
                        example: '2025-11-21T14:44:06.000000Z'
                      metadata:
                        type: string
                        example: null
      tags:
        - Wallets
    parameters:
      -
        in: path
        name: id
        description: ''
        example: 1
        required: true
        schema:
          type: integer
tags:
  -
    name: Recargas
    description: ''
  -
    name: 'SimCard (SOLO PARA PRUEBAS)'
    description: 'Las funcionalidades de SIM card aun no estan disponibles para el cliente final'
  -
    name: Users
    description: ''
  -
    name: Wallets
    description: ''
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: 'You can retrieve your token by contacting Admins or use testing token <b></b>'
security:
  -
    default: []
